Skip to main content
GET
cURL

Authorizations

x-coderabbitai-api-key
string
header
required

API key for authentication. You can create an API key from the CodeRabbit dashboard.

Headers

x-coderabbitai-api-key
string
required

Your CodeRabbit API key

Query Parameters

org_id
string

Workspace-scoped API tokens only. When provided, scopes metrics to that single git-provider organization within the token's workspace; when omitted, aggregates every organization in the workspace. Ignored for organization and self-hosted keys.

start_date
string<date>
required

Start date in ISO 8601 format (YYYY-MM-DD)

end_date
string<date>
required

End date in ISO 8601 format (YYYY-MM-DD)

status
enum<string>
default:merged

Filter finalized pull requests by status

Available options:
merged,
closed,
all
organization_ids
string

Filter by organization Git provider IDs (comma-separated, max 10). Self-hosted instances only.

repository_ids
string

Filter by repository Git provider IDs (comma-separated, max 10).

user_ids
string

Filter by author Git provider IDs (comma-separated, max 10).

format
enum<string>
default:json

Response format

Available options:
json,
csv
limit
integer
default:1000

Maximum records to return

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor for fetching next page of results

Response

Successful response

data
object[]
required
next_cursor
string | null

Cursor for fetching the next page of results, or null when there are no more results.